坑爹的Freemarker插件

February 13, 2015

继续阅读

下了一个eclipse的freemarker插件,结果居然不支持“!,??” 在ftl文件中写下代码

${message!""}

居然编译通不过!坑爹呀!! 于是,又换成如下代码:

<#if message??>
    ${message}
</#if>

毅然报错!说什么不支持“?,!”

无奈,只能将插件删掉。 偶然间发现JBoss Tool插件中带有一个Freemarker插件,于是下载JBoss Tool插件,只安装了Freemarker插件。再看代码,终于对了。

顺便说一句,开发工具后起之秀IntelliJ IDEA可是原生支持Freemarker的哟,Java开发代码提示直接把Eclipse甩出几条街!前端开发更是棒棒的!推荐!!!